# Change TPS Color Range

<br />
<br />
<img alt="Change TPS Color Range" src="images/tps/tps_color_range.png" height="100" />
<br />
<br />

---------------------------
---------------------------

## TPS plot
The TPS plot shows the square root of the average of the sum of the squares of 
the data amplitudes over each 5-minute period of each day covering the time 
range of the data on the main display. Each horizontal line is one UT day.

Each 5-minute block is color-coded according to the average amplitude 
during the period.
<br />

## Selecting Color Range
Select the desired color range from the dropdown list. There are 4 different 
color ranges in the list: Antarctica, Low, Medium and High
<br />

**Antarctica**
* Dark Grey/Black: there was no data for that period or the average really 
was 0.0 (not likely)
* Dark blue: the average was +/-10 counts
* Cyan: +/-100 counts
* Green: +/-1,000 counts
* Yellow: +/-10,000 counts
* Red: +/-100,000 counts
* Magenta: +/-1,000,000 counts
* Light Grey/White: > +/-1,000,000 counts
<br />

**Low**
* Dark Grey/Black: there was no data for that period or the average 
really was 0.0 (not likely)
* Dark blue: the average was +/-20 counts
* Cyan: +/-200 counts 
* Green: +/-2,000 counts
* Yellow: +/-20,000 counts
* Red: +/-200,000 counts
* Magenta: +/-2,000,000 counts
* Light Grey/White: > +/-2,000,000 counts
<br />

**Medium**
* Dark Grey/Black: there was no data for that period or the average really
was 0.0 (not likely)
* Dark blue: the average was +/-50 counts
* Cyan: +/-500 counts
* Green: +/-5,000 counts
* Yellow: +/-50,000 counts
* Red: +/-500,000 counts
* Magenta: +/-5,000,000 counts
* Light Grey/White: > +/-5,000,000 counts
<br />

**High**
* Dark Grey/Black: there was no data for that period or the average really
was 0.0 (not likely)
* Dark blue: the average was +/-80 counts
* Cyan: +/-800 counts
* Green: +/-8,000 counts
* Yellow: +/-80,000 counts 
* Red: +/-800,000 counts
* Magenta: +/-8,000,000 counts
* Light Grey/White: > +/-8,000,000 counts

<br />

## Applying the selected Color Range
Click button "RePlot" to re-plot TPS with new selected color range.

<br />
